Description: Do not show "your version is up-to-date" when this information is wrong (Closes #1001623)
Author: Katharina Drexel <katharina.drexel@bfh.ch>
Last-Update: 2021-12-15
--- a/wp-admin/update-core.php
+++ b/wp-admin/update-core.php
@@ -243,6 +243,12 @@
  * @since 2.7.0
  */
 function core_upgrade_preamble() {
+	if (!defined('WP_AUTO_UPDATE_CORE'))
+		define('WP_AUTO_UPDATE_CORE', true);
+
+	if ( false === WP_AUTO_UPDATE_CORE )
+		return;
+
 	$updates = get_core_updates();
 
 	// Include an unmodified $wp_version.
